.feature {
    $column-gap: 4rem;

    &__list {
        display: flex;
        justify-content: center;
        column-gap: $column-gap;

        list-style: none;

        @include respond-to ('mobile') {
            flex-direction: column;
            align-items: center;
            column-gap: 0;
            row-gap: 3rem;
        }
    }

    &__item {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: calc((100% - 3 * #{$column-gap}) / 4);
        padding: 2.5rem;

        font-size: 1.5rem;
        text-align: center;

        border-radius: 3px;
        box-shadow: 0 1.5rem 4rem rgba($color-black, .15);
        background-color: rgba($color-white, .8);

        transition: transform .3s;

        &:hover {
            transform: translateY(-1.5rem) scale(1.03);
            box-shadow: 0 .5rem 2rem rgba($color-black, .15);
        }

        @include respond-to ('tablet-portrait') {
            width: 60%;
        }

        @include respond-to ('mobile') {
            width: 80%;
        }
    }

    &__icon {
        font-size: 6rem;
        margin-bottom: .5rem;

        color: transparent;
        background-clip: text;
        background-image: linear-gradient(to right, $color-primary-light, $color-primary-dark);
    }

    &__heading {
        margin-bottom: 2rem;
    }
}
